Skip to content

GetTeamOwner

GET/api/v1/teams/{team}/owners/{owner}

Fetch one owner of a team.

Example request

curl \
-H "Authorization: Bearer ${OBLIQUE_API_KEY}" \
"https://us.oblique.security/api/v1/teams/{team}/owners/{owner}"

Set OBLIQUE_API_KEY to your API key.

Path parameters

  • namestringrequired

    Name of the team to request.

    Format: teams/{team}/owners/{owner}

Response

200TeamOwner
  • namestring

    Assigned by Oblique. The name of the membership. Memberships are always child resources of a given team. The {owner} component is an arbitrary identifier, and doesn’t correspond to the actual member.

  • createTimestring (date-time)read-only
  • updateTimestring (date-time)read-only
  • managementManagement

    How this ownership is managed. Inherited from the parent team: owners of Terraform-managed teams are themselves Terraform managed and can only be created, updated, or deleted through the Terraform provider; manage the parent team to change this. Omitted from responses when the parent team is manually managed (the default).

    • managerstring
      Allowed values: TERRAFORM

      How the resource is managed. Set automatically by the server based on the caller: Terraform clients produce TERRAFORM; for all other clients the management field is left unset on the response.

    • repoUristring

      URI of the VCS repository that holds the Terraform configuration for this resource. Populated by the Oblique Terraform provider.

    • repoDirstring

      Optionally, the subdirectory within repo_uri that holds the Terraform configuration for this resource. Populated by the Oblique Terraform provider.

  • ownerstringrequired

    Set once, when the resource is created. The name of the owner. This can be a user, team, or group.

    Format: users/{user}, teams/{team}, groups/{group}

Errors

StatusMeaning
400Malformed request
401Missing or invalid API key
403Not allowed for this API key
404Not found
429Too many requests
500Internal server error